# Two-Wire Interface (TWI)

## Overview
The Two-Wire Interface (TWI) is a bidirectional, two-wire communication interface (bus) with a Serial Data Line (SDA) and a Serial Clock Line (SCL).

The TWI bus connects one or several slave devices to one or several master devices. Any device connected to the bus can act as a master, a slave, or both. The master generates the SCL by using a Baud Rate Generator (BRG) and initiates data transactions by addressing one slave and telling whether it wants to transmit or receive data. The BRG is capable of generating the Standard mode (Sm) and Fast mode (Fm, F+) bus frequencies from 100 kHz up to 1MHz.

# Changelog
All notable changes to this project will be documented in this file.

## [7.1.4] - 2024-05-14

### Bug Fixes
- **M8PD-5219** :- Missing offset on SADDR


## [7.1.3] - 2023-06-23


No changes from previous version


## [7.1.2] - 2022-03-10


No changes from previous version
